MetacatUI - Task #6902

Final testing before tag
12/10/2015 05:38 PM - Lauren Walker

Status: Resolved Start date: 12/10/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.9.0 Spent time: 0.00 hour
Description

On Mac and Windows, test on Chrome 46.X and 47.X, Firefox 41, 42 and 38, IE 9, 10, and 11, and Safari 9.X, all of which
compromise ~92% of our users of DataONE Search (from Google Analytics, Nov 9 - Dec 9). - Note that IE 9 and 10 are in the top

92% but still are only 0.5% of our users (about 5 sessions each, out of 830).

e Test auth tokens on search.test.dataone.org with all browsers

¢ Test the KNB and Default themes since most development is done in the DataONE theme
¢ Make sure auth tokens are working with log in and viewing private content in all browsers

¢ Check for glaring issues with the styling on mobile devices - most common mobile resolutions are 320x568, 360x640, 375x667,

and 414x736. These still make up a very small percentage of our DataONE Search users.

History

#1 - 12/14/2015 02:33 PM - Lauren Walker
- Status changed from New to In Progress

- % Done changed from 0 to 40

Logging tickets and fixing bugs as | find them...

Desktop

[X] Chrome 47 on Mac OS 10.11
[X] Chrome 47 on windows 7

[X] Firefox 42 on Windows 7

[X] Firefox 42 on Mac OS 10.11
[X] Safari 9 on Mac OS 10.11
[11E 11 on Windows 7

[11E 10 on Windows 7

[11E 9 on Windows 7

Mobile - checking for major issues only
[1320x568 Safari

[1360x640 Chrome

[1375x667 Safari

[1360x640 Firefox

Other themes - make sure all new development looks ok

[ 1 KNB theme check in IE

[ ] KNB theme check in Chrome, FF, Safari

[ ] Default theme check in IE

[ ] Default theme check in Chrome, FF, Safari

#2 - 12/14/2015 04:08 PM - Lauren Walker

Desktop

[X] Chrome 47 on Mac OS 10.11
[X] Chrome 47 on windows 7

[X] Firefox 42 on Windows 7

[X] Firefox 42 on Mac OS 10.11
[X] Safari 9 on Mac OS 10.11
[X] IE 11 on Windows 7

[X] IE 10 on Windows 7

[X] IE 9 on Windows 7

Mobile - checking for major issues only
[ 1320x568 Safari

[1360x640 Chrome

[1375x667 Safari
[1360x640 Firefox

Other themes - make sure all new development looks ok
[ 1 KNB theme check in IE

[ 1 KNB theme check in Chrome, FF, Safari

[ ] Default theme check in IE

[ ] Default theme check in Chrome, FF, Safari

#3 - 12/14/2015 04:13 PM - Lauren Walker
- % Done changed from 40 to 60

IE 9 still doesn't like CORS AJAX requests, which means it cannot let a user log in unless we use the proxy on the /portal calls to. We either need to
drop IE9 log-in support or add all /portal requests to the ProxyPass Apache config

#4 - 12/14/2015 04:51 PM - Lauren Walker

Desktop

[X] Chrome 47 on Mac OS 10.11
[X] Chrome 47 on windows 7

[X] Firefox 42 on Windows 7

[X] Firefox 42 on Mac OS 10.11
[X] Safari 9 on Mac OS 10.11
[X] IE 11 on Windows 7

[X] IE 10 on Windows 7

[X] IE 9 on Windows 7

Mobile - checking for major issues only
[X] 320x568 Safari

[X] 360x640 Chrome

[X] 375x667 Safari

[X] 360x640 Firefox

Other themes - make sure all new development looks ok
[ 1 KNB theme check in IE

[ 1 KNB theme check in Chrome, FF, Safari

[ ] Default theme check in IE

[ ] Default theme check in Chrome, FF, Safari

#5 - 12/14/2015 05:05 PM - Lauren Walker
- Status changed from In Progress to Resolved
- % Done changed from 60 to 100

- translation missing: en.field_remaining_hours set to 0.0

Desktop

[X] Chrome 47 on Mac OS 10.11
[X] Chrome 47 on windows 7

[X] Firefox 42 on Windows 7

[X] Firefox 42 on Mac OS 10.11
[X] Safari 9 on Mac OS 10.11
[X] IE 11 on Windows 7

[X] IE 10 on Windows 7

[X] IE 9 on Windows 7

Mobile - checking for major issues only
[X] 320x568 Safari

[X] 360x640 Chrome

[X] 375x667 Safari

[X] 360x640 Firefox

Other themes - make sure all new development looks ok
[X] KNB theme check in IE

[X] KNB theme check in Chrome, FF, Safari

[X] Default theme check in IE

[X] Default theme check in Chrome, FF, Safari

#6 - 12/15/2015 09:51 AM - Lauren Walker
- Estimated time set to 0.00 h

Ben and | made the executive decision to not have login support for IE 9 users (only 0.5% of our sessions on search.dataone.org, from Nov-Dec
2015, via Google Analytics). IE 9 users can still use all other MetacatUl features, just no login. Otherwise, we would have to route all portal requests
through a proxy, which we have not tested yet and may not want to do.
